> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cyrisma.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Disable User Endpoint

> This endpoint will disable a user under your partner account.

Required headers:

- `Authorization: access_token {token}`



## OpenAPI

````yaml openapi.json patch /partner/users/disable
openapi: 3.1.0
info:
  title: Cyrisma Partner API
  description: >-
    Cyrisma partner API assists organizations that use the Cyrisma risk
    management platform to further automate and enhance overall risk management.
    The API provides provisioning and reporting features meaning that
    deployments can be automated and scan data can be retrieved for further
    aggregation and reporting. The API will enable the setup of new partners and
    instances, review of partner and instance status and utilization, and
    management of partners through their lifecycle.  Access to Cyrisma risk
    management is based on a foundation of secure API access token
    authentication and identity management.
  version: v1
servers: []
security: []
paths:
  /partner/users/disable:
    patch:
      tags:
        - Users
      summary: Disable User Endpoint
      description: "This endpoint will disable a user under your partner account.\r\n\r\nRequired headers:\r\n\r\n- `Authorization: access_token {token}`"
      operationId: DisableUser
      parameters:
        - name: Authorization
          in: header
          schema:
            type: string
      requestBody:
        content:
          application/x-www-form-urlencoded:
            schema:
              type: object
              properties:
                user_id:
                  title: User Id
                  type: string
                  description: ID of the user to disable.
            encoding:
              user_id:
                style: form
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  additionalProperties: {}
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorJson'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorJson'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorJson'
components:
  schemas:
    ErrorJson:
      title: Error Response
      type: object
      properties:
        error:
          title: Error Code
          type:
            - string
            - 'null'
          description: The error code representing the type of error.
        error_description:
          title: Error Description
          type:
            - string
            - 'null'
          description: A detailed description of the error.
      additionalProperties: false
      description: Represents an error response with error code and description.

````